Summary:	A GNU program for formatting C code
Name:		indent
Version:	2.2.13
%define subrel 2
Release:	%mkrel 1
License:	GPLv3+
Group:		Development/C
URL:		https://www.gnu.org/software/indent/
Source:		https://ftpmirror.gnu.org/%{name}/%{name}-%{version}.tar.xz
Patch0:		indent-2.2.12.gcc-fix.patch
Patch1:		indent-2.2.13-Fix-an-out-of-buffer-read-in-search_brace-lexi-on-an.patch
Patch2:		indent-2.2.13-Fix-a-heap-buffer-overwrite-in-search_brace-CVE-2023.patch
Patch3:		indent-2.2.13-Fix-a-heap-buffer-underread-in-set-buf-break.patch
BuildRequires:	gettext-devel
BuildRequires:	texi2html
BuildRequires:	texinfo

%description
Indent is a GNU program for beautifying C code, so that it is easier to read.
Indent can also convert from one C writing style to a different one. Indent
understands correct C syntax and tries to handle incorrect C syntax.

Install the indent package if you are developing applications in C and you'd
like to format your code automatically.

%prep
%setup -q
%patch -P0 -p0
%patch -P1 -p1
%patch -P2 -p1
%patch -P3 -p1

%build
# fix build on aarch64
autoreconf -vfi

%configure
%make_build

%install
%make_install

# html file handled in percent-doc
rm -rf %{buildroot}%{_prefix}/doc

# fix message catalog name
[ -d %{buildroot}%{_datadir}/locale/zh_TW.Big5 ] && \
  mv %{buildroot}%{_datadir}/locale/zh_TW{.Big5,}

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS NEWS ChangeLog README.md doc/indent.html
%license COPYING
%{_bindir}/indent
%{_mandir}/man?/*
%{_infodir}/*.info*


%changelog
* Wed Apr 10 2024 ns80 <ns80> 2.2.13-1.2.mga9
+ Revision: 2056327
- add a patch from Debian for CVE-2024-0911 (mga#33072)
- add patches from Fedora for CVE-2023-40305 and a heap overread (mga#32273)

* Sun May 07 2023 daviddavid <daviddavid> 2.2.13-1.mga9
+ Revision: 1956089
- new version: 2.2.13, fixes new security issue(s) bsc#1209718 (mga#31884)
- remove merged upstream patches

* Thu Mar 17 2022 umeabot <umeabot> 2.2.12-3.mga9
+ Revision: 1797338
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 2.2.12-2.mga8
+ Revision: 1521726
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Dec 30 2018 luigiwalser <luigiwalser> 2.2.12-1.mga7
+ Revision: 1346827
- BR texinfo
- 2.2.12
- rediff our first patch
- remove other patches (fixed upstream)
- add two patches from fedora

* Mon Sep 03 2018 tv <tv> 2.2.11-9.mga7
+ Revision: 1256408
- rely on filetriggers for info system (mga#23482)

* Fri Jun 08 2018 wally <wally> 2.2.11-8.mga7
+ Revision: 1235423
- fix build on aarch64
+ kekepower <kekepower>
- Use new make macros

* Mon Feb 08 2016 umeabot <umeabot> 2.2.11-7.mga6
+ Revision: 946990
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.2.11-6.mga5
+ Revision: 746195
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.2.11-5.mga5
+ Revision: 680502
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.2.11-4.mga4
+ Revision: 506088
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 2.2.11-3.mga3
+ Revision: 354379
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 02 2012 pterjan <pterjan> 2.2.11-2.mga3
+ Revision: 325638
- Increase release, nicer

* Sun Dec 02 2012 pterjan <pterjan> 2.2.11-1.mga3
+ Revision: 325628
- Add Gentoo patch to build with recent texi2html

* Sun Feb 19 2012 luigiwalser <luigiwalser> 2.2.11-1.mga2
+ Revision: 210668
- 2.2.11
- fix URL
- add patches from fedora (float suffix, exit code)

* Mon Jan 10 2011 pterjan <pterjan> 2.2.10-4.mga1
+ Revision: 5524
- Drop commented commands in scriptlets
- imported package indent


* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 2.2.10-4mdv2011.0
+ Revision: 605974
- rebuild

* Mon Mar 15 2010 Oden Eriksson <oeriksson@mandriva.com> 2.2.10-3mdv2010.1
+ Revision: 520127
- rebuilt for 2010.1

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 2.2.10-2mdv2010.0
+ Revision: 425335
- rebuild

* Tue Mar 17 2009 Erwan Velu <erwan@mandriva.org> 2.2.10-1mdv2009.1
+ Revision: 356947
- 2.2.10

* Sat Dec 20 2008 Oden Eriksson <oeriksson@mandriva.com> 2.2.9-9mdv2009.1
+ Revision: 316780
- rebuild

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 2.2.9-8mdv2009.0
+ Revision: 221630
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 17 2007 Thierry Vignaud <tv@mandriva.org> 2.2.9-7mdv2008.1
+ Revision: 127056
- kill re-definition of %%buildroot on Pixel's request


* Sat Mar 17 2007 Oden Eriksson <oeriksson@mandriva.com> 2.2.9-7mdv2007.1
+ Revision: 145451
- Import indent

* Sat Mar 17 2007 Oden Eriksson <oeriksson@mandriva.com> 2.2.9-7mdv2007.1
- bunzip patches

* Sat Dec 31 2005 Mandriva Linux Team <http://www.mandrivaexpert.com/> 2.2.9-6mdk
- Rebuild

* Fri Jul 01 2005 Michael Scherer <misc@mandriva.org> 2.2.9-5mdk
- fix prereq
- fix url ( #16655, thanks to juke )
- mkrel
- fix compilation

* Fri May 28 2004 Abel Cheung <deaddog@deaddog.org> 2.2.9-4mdk
- More macros
- BuildRequires
- Various other tuning

